GeoTessCPP: geotess::GeoTessDataType Class Reference

GeoTessCPP 2.1 Software to facilitate storage and retrieval of 3D information about the Earth.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Friends Macros
Public Member Functions | Static Public Member Functions | Static Public Attributes
geotess::GeoTessDataType Class Reference

`#include <GeoTessDataType.h>`

Inheritance diagram for geotess::GeoTessDataType:

List of all members.

## Public Member Functions
virtual | ~GeoTessDataType ()
template<>
const GeoTessDataType & | getDataType (double typ)
template<>
const GeoTessDataType & | getDataType (float typ)
template<>
const GeoTessDataType & | getDataType (LONG_INT typ)
template<>
const GeoTessDataType & | getDataType (int typ)
template<>
const GeoTessDataType & | getDataType (short typ)
template<>
const GeoTessDataType & | getDataType (byte typ)
Public Member Functions inherited from geotess::GeoTessEnumType
virtual | ~GeoTessEnumType ()
string | name () const
int | ordinal () const
string | toString () const

## Static Public Member Functions
template<typename T >
static const GeoTessDataType & | getDataType (T typ)
static int | size ()
static const GeoTessDataType * | valueOf (const string &s)
static GeoTessDataType const *const *const | values ()

## Static Public Attributes
static const GeoTessDataType * | aArray []
static const GeoTessDataType | BYTE
static const GeoTessDataType | DOUBLE
static const GeoTessDataType | FLOAT
static const GeoTessDataType | INT
static const GeoTessDataType | LONG
static const GeoTessDataType | NONE
static const GeoTessDataType | SHORT

## Additional Inherited Members
Protected Member Functions inherited from geotess::GeoTessEnumType
| GeoTessEnumType ()
| GeoTessEnumType (const GeoTessEnumType &et)
| GeoTessEnumType (const string &name, int ordinal)
GeoTessEnumType & | operator= (const GeoTessEnumType &et)
Static Protected Member Functions inherited from geotess::GeoTessEnumType
static const GeoTessEnumType * | valueOf (const string &s, GeoTessEnumType const *const *const array, int n)
Protected Attributes inherited from geotess::GeoTessEnumType
const string | aName
const int | aOrdinal

## Detailed Description

Enumeration of supported DataType which includes DOUBLE, FLOAT, LONG, INT, SHORT and BYTE.

## Constructor & Destructor Documentation

virtual geotess::GeoTessDataType::~GeoTessDataType | ( |  | ) |
| inlinevirtual

Standard Destructor.

## Member Function Documentation

template<typename T >

static const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | T | typ | ) |
| inlinestatic

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | double | typ | ) |
| inline

Template specialization for getDataType()

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | float | typ | ) |
| inline

Template specialization for getDataType()

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | LONG_INT | typ | ) |
| inline

Template specialization for getDataType()

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | int | typ | ) |
| inline

Template specialization for getDataType()

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | short | typ | ) |
| inline

Template specialization for getDataType()

template<>

const GeoTessDataType& geotess::GeoTessDataType::getDataType | ( | byte | typ | ) |
| inline

Template specialization for getDataType()

static int geotess::GeoTessDataType::size | ( |  | ) |
| inlinestatic

Returns the total number of enums of this type.

static const GeoTessDataType* geotess::GeoTessDataType::valueOf | ( | const string & | s | ) |
| inlinestatic

        Assignment Operator.

Returns a pointer to the enum whose string matches the input string. If no match is found null is returned.

Parameters:

  s | The input string for which a match in array is returned (or null).

Returns:
  The match of s in the names of array or null if one was not found.

static GeoTessDataType const* const* const geotess::GeoTessDataType::values | ( |  | ) |
| inlinestatic

Returns the array of all enums for this type.

## Member Data Documentation

const GeoTessDataType* geotess::GeoTessDataType::aArray[]
| static

The array containing all enums declared above.

const GeoTessDataType geotess::GeoTessDataType::BYTE
| static

const GeoTessDataType geotess::GeoTessDataType::DOUBLE
| static

The actual enums for this type.

const GeoTessDataType geotess::GeoTessDataType::FLOAT
| static

const GeoTessDataType geotess::GeoTessDataType::INT
| static

const GeoTessDataType geotess::GeoTessDataType::LONG
| static

const GeoTessDataType geotess::GeoTessDataType::NONE
| static

const GeoTessDataType geotess::GeoTessDataType::SHORT
| static

The documentation for this class was generated from the following file:

- include/GeoTessDataType.h